<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class MaibaAIFeaturesControlAction extends \Google\Protobuf\Internal\Message
{
    


    protected $aiFeatureStatus = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getAiFeatureStatus()
    {
        return isset($this->aiFeatureStatus) ? $this->aiFeatureStatus : 0;
    }

    public function hasAiFeatureStatus()
    {
        return isset($this->aiFeatureStatus);
    }

    public function clearAiFeatureStatus()
    {
        unset($this->aiFeatureStatus);
    }

    




    public function setAiFeatureStatus($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\SyncActionValue\MaibaAIFeaturesControlAction\MaibaAIFeatureStatus::class);
        $this->aiFeatureStatus = $var;

        return $this;
    }

}

